Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.therlink.domain.responses
Class TherapeuticLinkResponse.Builder

    java.lang.Object
      be.ehealth.businessconnector.therlink.domain.responses.TherapeuticLinkResponse.Builder

Enclosing class:
  TherapeuticLinkResponse

    public static class TherapeuticLinkResponse.Builder

extends Object

Builder for the response

Constructor Summary
`TherapeuticLinkResponse.Builder()`

Method Summary
`TherapeuticLinkResponse.Builder` | `addOperationContext(OperationContext oc)`
`TherapeuticLinkResponse` | `build()`
`TherapeuticLinkResponse.Builder` | `withEndDate(org.joda.time.LocalDate endDate)`
`TherapeuticLinkResponse.Builder` | `withHcParty(HcParty hcp)`
`TherapeuticLinkResponse.Builder` | `withPatient(Patient patient)`
`TherapeuticLinkResponse.Builder` | `withStartDate(org.joda.time.LocalDate startDate)`
`TherapeuticLinkResponse.Builder` | `withType(String string)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TherapeuticLinkResponse.Builder

    public TherapeuticLinkResponse.Builder()

Method Detail

### withPatient

    public TherapeuticLinkResponse.Builder withPatient(Patient patient)

### withHcParty

    public TherapeuticLinkResponse.Builder withHcParty(HcParty hcp)

### addOperationContext

    public TherapeuticLinkResponse.Builder addOperationContext(OperationContext oc)

### withStartDate

    public TherapeuticLinkResponse.Builder withStartDate(org.joda.time.LocalDate startDate)

### withEndDate

    public TherapeuticLinkResponse.Builder withEndDate(org.joda.time.LocalDate endDate)

### withType

    public TherapeuticLinkResponse.Builder withType(String string)

  Parameters:
    `string` -
  Returns:

### build

    public TherapeuticLinkResponse build()

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.